Bug 501382 - name space clash in header filenames
name space clash in header filenames
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
14
All Linux
medium Severity high
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 517000
  Show dependency treegraph
 
Reported: 2009-05-18 16:49 EDT by Simo Sorce
Modified: 2012-08-16 12:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 12:46:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 511626 None None None Never

  None (edit)
Description Simo Sorce 2009-05-18 16:49:06 EDT
Description of problem:

the NSS library uses a header file name that clashes with a system header namely nss.h

This makes it very difficult to correctly compile stuff as
#include <nss.h> becomes ambiguous and catching the right one depends on the order include paths are parsed.

It also makes simply impossible to include the 2 files at the same time without using tricks like specifing the patch in #include line which is very undesirable especially if this means you have to modify third party code.

Not sure about the solution but at least all NSS header files should internall include nss3/xxxx.h instead of just xxxx.h and pkg-config --cflags should just return /usr/include instead of /usr/include/nss3 once this transition is done.
Comment 1 Kai Engert (:kaie) 2009-05-19 18:08:38 EDT
Potential question from upstream NSS developers:
Why doesn't the other project changes its filenames?

I think implementing your proposal would require to touch several projects that include NSS, and that work shouldn't be made downstream.

Don't have a better idea right now, though.
Comment 2 Simo Sorce 2009-05-19 18:20:33 EDT
It seem to me that a system header (nss.h is part of glibc) usually has precedence, esp. if it came first (I am not sure about that).

Changing glibc is going to be a lot more difficult anyway.
Comment 3 Bug Zapper 2009-06-09 12:04:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Kai Engert (:kaie) 2009-08-20 08:30:01 EDT
Reported upstream https://bugzilla.mozilla.org/show_bug.cgi?id=511626
Comment 5 Bug Zapper 2009-11-16 04:59:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Admin XMLRPC Client 2010-09-07 16:54:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Bug Zapper 2010-11-04 07:14:08 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Simo Sorce 2010-11-04 07:46:35 EDT
Kai I see no movement about this bug upstream ...
Comment 9 Stephen Gallagher 2010-11-04 07:50:10 EDT
For the record, this issue is present in Fedora 14 as well.
Comment 10 Fedora End Of Life 2012-08-16 12:46:06 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.